> ## Documentation Index
> Fetch the complete documentation index at: https://docs.blindsight.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Upsert Shortcut Guidance Class



## OpenAPI

````yaml /api-reference/openapi.json put /api/datasets/{dataset_id}/shortcut-guidance/classes/{class_name}
openapi: 3.1.0
info:
  title: Blindsight API
  version: 0.1.0
servers: []
security: []
paths:
  /api/datasets/{dataset_id}/shortcut-guidance/classes/{class_name}:
    put:
      tags:
        - api
        - datasets
      summary: Upsert Shortcut Guidance Class
      operationId: >-
        upsert_shortcut_guidance_class_api_datasets__dataset_id__shortcut_guidance_classes__class_name__put
      parameters:
        - name: dataset_id
          in: path
          required: true
          schema:
            type: string
            title: Dataset Id
        - name: class_name
          in: path
          required: true
          schema:
            type: string
            title: Class Name
        - name: X-API-Key
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Api-Key
        - name: blindsight_session
          in: cookie
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Blindsight Session
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ShortcutGuidanceUpdate'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ShortcutGuidanceAnnotationRead'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    ShortcutGuidanceUpdate:
      properties:
        exemplar_path:
          type: string
          title: Exemplar Path
        mask_png_base64:
          type: string
          title: Mask Png Base64
        bbox:
          anyOf:
            - type: object
            - type: 'null'
          title: Bbox
        strokes:
          title: Strokes
      type: object
      required:
        - exemplar_path
        - mask_png_base64
      title: ShortcutGuidanceUpdate
    ShortcutGuidanceAnnotationRead:
      properties:
        id:
          type: string
          title: Id
        class_name:
          type: string
          title: Class Name
        exemplar_path:
          type: string
          title: Exemplar Path
        mask_url:
          type: string
          title: Mask Url
        bbox:
          anyOf:
            - type: object
            - type: 'null'
          title: Bbox
        strokes:
          title: Strokes
        created_at:
          anyOf:
            - type: string
            - type: 'null'
          title: Created At
        updated_at:
          anyOf:
            - type: string
            - type: 'null'
          title: Updated At
        updated_by:
          anyOf:
            - type: string
            - type: 'null'
          title: Updated By
      type: object
      required:
        - id
        - class_name
        - exemplar_path
        - mask_url
      title: ShortcutGuidanceAnnotationRead
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````